# Class Arena

- Defined in src/field/arena.ts:24

#####
Index

### Constructors

constructor

### Properties

bgm
biomeType
eventTarget
ignoreAbilities
lastTimeOfDay
pokemonPool
scene
tags
terrain
trainerPool
weather

### Methods

addTag
applyTags
applyTagsForSide
findTags
findTagsOnSide
getAttackTypeMultiplier
getBgTerrainColorRatioForBiome
getBgmLoopPoint
getDayTint
getDuskTint
getNightTint
getSpeciesFormIndex
getTag
getTagOnSide
getTerrainType
getTimeOfDay
getTrainerChance
getTypeForBiome
init
isMoveTerrainCancelled
isMoveWeatherCancelled
isOutside
lapseTags
overrideTint
preloadBgm
randomSpecies
randomTrainerType
removeAllTags
removeTag
removeTagOnSide
setIgnoreAbilities
trySetTerrain
trySetWeather
trySetWeatherOverride
updatePoolsForTimeOfDay

## Constructors

### constructor

- new Arena(scene, biome, bgm): Arena

- #### Parameters

  - scene: default
  - biome: Biome
  - bgm: string

  #### Returns Arena

  - Defined in src/field/arena.ts:40

## Properties

### bgm

bgm: string

- Defined in src/field/arena.ts:30

### biomeType

biomeType: Biome

- Defined in src/field/arena.ts:26

### `Readonly` eventTarget

eventTarget: EventTarget = ...

- Defined in src/field/arena.ts:38

### ignoreAbilities

ignoreAbilities: boolean

- Defined in src/field/arena.ts:31

### `Private` lastTimeOfDay

lastTimeOfDay: TimeOfDay

- Defined in src/field/arena.ts:33

### `Private` pokemonPool

pokemonPool: PokemonPools

- Defined in src/field/arena.ts:35

### scene

scene: default

- Defined in src/field/arena.ts:25

### tags

tags: ArenaTag []

- Defined in src/field/arena.ts:29

### terrain

terrain: Terrain

- Defined in src/field/arena.ts:28

### `Private` trainerPool

trainerPool: BiomeTierTrainerPools

- Defined in src/field/arena.ts:36

### weather

weather: Weather

- Defined in src/field/arena.ts:27

## Methods

### addTag

- addTag(tagType, turnCount, sourceMove, sourceId, side?, quiet?, targetIndex?): boolean

- #### Parameters

  - tagType: ArenaTagType
  - turnCount: number
  - sourceMove: Moves
  - sourceId: number
  - side: ArenaTagSide = ArenaTagSide.BOTH
  - quiet: boolean = false
  - `Optional` targetIndex: BattlerIndex

  #### Returns boolean

  - Defined in src/field/arena.ts:548

### applyTags

- applyTags(tagType, ...args): void

- #### Parameters

  - tagType: ArenaTagType | (new (...args) => ArenaTag )
  - `Rest` ...args: any[]

  #### Returns void

  - Defined in src/field/arena.ts:544

### applyTagsForSide

- applyTagsForSide(tagType, side, ...args): void

- #### Parameters

  - tagType: ArenaTagType | (new (...args) => ArenaTag )
  - side: ArenaTagSide
  - `Rest` ...args: any[]

  #### Returns void

  - Defined in src/field/arena.ts:534

### findTags

- findTags(tagPredicate): ArenaTag []

- #### Parameters

  - tagPredicate: ((t) => boolean)
    - - (t): boolean

      - #### Parameters

        - t: ArenaTag

        #### Returns boolean

  #### Returns ArenaTag []

  - Defined in src/field/arena.ts:574

### findTagsOnSide

- findTagsOnSide(tagPredicate, side): ArenaTag []

- #### Parameters

  - tagPredicate: ((t) => boolean)
    - - (t): boolean

      - #### Parameters

        - t: ArenaTag

        #### Returns boolean

  - side: ArenaTagSide

  #### Returns ArenaTag []

  - Defined in src/field/arena.ts:578

### getAttackTypeMultiplier

- getAttackTypeMultiplier(attackType, grounded): number

- #### Parameters

  - attackType: Type
  - grounded: boolean

  #### Returns number

  - Defined in src/field/arena.ts:368

### getBgTerrainColorRatioForBiome

- getBgTerrainColorRatioForBiome(): number

- #### Returns number

  - Defined in src/field/arena.ts:271

### getBgmLoopPoint

- getBgmLoopPoint(): number

- #### Returns number

  - Defined in src/field/arena.ts:628

### getDayTint

- getDayTint(): [number, number, number]

- #### Returns [number, number, number]

  - Defined in src/field/arena.ts:483

### getDuskTint

- getDuskTint(): [number, number, number]

- #### Returns [number, number, number]

  - Defined in src/field/arena.ts:495

### getNightTint

- getNightTint(): [number, number, number]

- #### Returns [number, number, number]

  - Defined in src/field/arena.ts:509

### getSpeciesFormIndex

- getSpeciesFormIndex(species): number

- #### Parameters

  - species: default

  #### Returns number

  - Defined in src/field/arena.ts:169

### getTag

- getTag(tagType): ArenaTag

- #### Parameters

  - tagType: ArenaTagType | (new (...args) => ArenaTag )

  #### Returns ArenaTag

  - Defined in src/field/arena.ts:564

### getTagOnSide

- getTagOnSide(tagType, side): ArenaTag

- #### Parameters

  - tagType: ArenaTagType | (new (...args) => ArenaTag )
  - side: ArenaTagSide

  #### Returns ArenaTag

  - Defined in src/field/arena.ts:568

### getTerrainType

- getTerrainType(): TerrainType

- #### Returns TerrainType

  - Defined in src/field/arena.ts:364

### getTimeOfDay

- getTimeOfDay(): TimeOfDay

- #### Returns TimeOfDay

  - Defined in src/field/arena.ts:426

### getTrainerChance

- getTrainerChance(): number

- #### Returns number

  - Defined in src/field/arena.ts:382

### getTypeForBiome

- getTypeForBiome(): UNKNOWN | NORMAL | FIGHTING | FLYING | POISON | GROUND | ROCK | BUG | GHOST | STEEL | FIRE | WATER | GRASS | ELECTRIC | PSYCHIC | ICE | DRAGON | DARK | FAIRY

- #### Returns UNKNOWN | NORMAL | FIGHTING | FLYING | POISON | GROUND | ROCK | BUG | GHOST | STEEL | FIRE | WATER | GRASS | ELECTRIC | PSYCHIC | ICE | DRAGON | DARK | FAIRY

  - Defined in src/field/arena.ts:211

### init

- init(): void

- #### Returns void

  - Defined in src/field/arena.ts:49

### isMoveTerrainCancelled

- isMoveTerrainCancelled(user, targets, move): boolean

- #### Parameters

  - user: default
  - targets: BattlerIndex []
  - move: default

  #### Returns boolean

  - Defined in src/field/arena.ts:360

### isMoveWeatherCancelled

- isMoveWeatherCancelled(move): boolean

- #### Parameters

  - move: default

  #### Returns boolean

  - Defined in src/field/arena.ts:356

### isOutside

- isOutside(): boolean

- #### Returns boolean

  - Defined in src/field/arena.ts:449

### lapseTags

- lapseTags(): void

- #### Returns void

  - Defined in src/field/arena.ts:582

### overrideTint

- overrideTint(): [number, number, number]

- #### Returns [number, number, number]

  - Defined in src/field/arena.ts:467

### preloadBgm

- preloadBgm(): void

- #### Returns void

  - Defined in src/field/arena.ts:624

### randomSpecies

- randomSpecies(waveIndex, level, attempt?, luckValue?): default

- #### Parameters

  - waveIndex: number
  - level: number
  - `Optional` attempt: number
  - `Optional` luckValue: number

  #### Returns default

  - Defined in src/field/arena.ts:71

### randomTrainerType

- randomTrainerType(waveIndex): TrainerType

- #### Parameters

  - waveIndex: number

  #### Returns TrainerType

  - Defined in src/field/arena.ts:152

### removeAllTags

- removeAllTags(): void

- #### Returns void

  - Defined in src/field/arena.ts:615

### removeTag

- removeTag(tagType): boolean

- #### Parameters

  - tagType: ArenaTagType

  #### Returns boolean

  - Defined in src/field/arena.ts:591

### removeTagOnSide

- removeTagOnSide(tagType, side, quiet?): boolean

- #### Parameters

  - tagType: ArenaTagType
  - side: ArenaTagSide
  - quiet: boolean = false

  #### Returns boolean

  - Defined in src/field/arena.ts:603

### setIgnoreAbilities

- setIgnoreAbilities(ignoreAbilities?): void

- #### Parameters

  - ignoreAbilities: boolean = true

  #### Returns void

  - Defined in src/field/arena.ts:530

### trySetTerrain

- trySetTerrain(terrain, hasPokemonSource, ignoreAnim?): boolean

- #### Parameters

  - terrain: TerrainType
  - hasPokemonSource: boolean
  - ignoreAnim: boolean = false

  #### Returns boolean

  - Defined in src/field/arena.ts:329

### trySetWeather

- trySetWeather(weather, hasPokemonSource): boolean

- Attempts to set a new weather to the battle

  #### Parameters

  - weather: WeatherType

    new weather to set of type WeatherType

  - hasPokemonSource: boolean

    is the new weather from a pokemon

  #### Returns boolean

  true if new weather set, false if no weather provided or attempting to set the same weather as currently in use

  - Defined in src/field/arena.ts:300

### trySetWeatherOverride

- trySetWeatherOverride(weather): boolean

- Sets weather to the override specified in overrides.ts

  #### Parameters

  - weather: WeatherType

    new weather to set of type WeatherType

  #### Returns boolean

  true to force trySetWeather to return true

  - Defined in src/field/arena.ts:287

### updatePoolsForTimeOfDay

- updatePoolsForTimeOfDay(): void

- #### Returns void

  - Defined in src/field/arena.ts:60